View Issue Details

IDCategoryLast Update
0008331bugs2020-09-07 15:21
ReporterwargreenAssigned Tox42 
Reproducibilityalways 
Status closedResolutionfixed 
Platformx86_64OSDebianOS VersionSID
Product Version6.2 
Fixed in Version 
Summary0008331: Crash when right-click in the Bundle matrix
DescriptionArdour 6.2.52 crash when right-click in the bundle matrix
Steps To ReproduceOpen the Bundle Manager window
Click New
Right-click in the matrix.
TagsNo tags attached.

Activities

wargreen

2020-09-04 00:47

reporter   ~0025006

Add backtrace

gdb.txt (47,977 bytes)
Signal        Stop	Print	Pass to program	Description
SIG32         No	No	Yes		Real-time event 32
Starting program: /opt/Ardour-6.2.233-dbg/bin/ardour-6.2.233 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffe8492700 (LWP 371032)]
[New Thread 0x7fffe7c91700 (LWP 371033)]
[New Thread 0x7fffe7490700 (LWP 371034)]
[New Thread 0x7fffe6c8f700 (LWP 371035)]
[New Thread 0x7fffd7591700 (LWP 371039)]
[Thread 0x7fffd7591700 (LWP 371039) exited]
[New Thread 0x7fffd7591700 (LWP 371040)]
[New Thread 0x7fffd58f6700 (LWP 371041)]
[New Thread 0x7fffcbd8a700 (LWP 371124)]
[New Thread 0x7fffd4183700 (LWP 371125)]
[New Thread 0x7fffcb356700 (LWP 371126)]
[New Thread 0x7fffd40be700 (LWP 371127)]
[New Thread 0x7fffca951700 (LWP 371128)]
[Thread 0x7fffca951700 (LWP 371128) exited]
[Thread 0x7fffd40be700 (LWP 371127) exited]
[New Thread 0x7fffd40be700 (LWP 371129)]
[New Thread 0x7fffca951700 (LWP 371130)]
[Thread 0x7fffca951700 (LWP 371130) exited]
[Thread 0x7fffd40be700 (LWP 371129) exited]
[New Thread 0x7fffca8d0700 (LWP 371131)]
[New Thread 0x7fffca0a9700 (LWP 371132)]
[New Thread 0x7fffc98a8700 (LWP 371133)]
[New Thread 0x7fffc90a7700 (LWP 371134)]
[New Thread 0x7fffc88a6700 (LWP 371135)]
[New Thread 0x7fffa7fff700 (LWP 371136)]
[Thread 0x7fffcb356700 (LWP 371126) exited]
[New Thread 0x7fffcb356700 (LWP 371137)]
[Thread 0x7fffd4183700 (LWP 371125) exited]
[Thread 0x7fffcb356700 (LWP 371137) exited]
[Thread 0x7fffa7fff700 (LWP 371136) exited]
[Thread 0x7fffc90a7700 (LWP 371134) exited]
[Thread 0x7fffc98a8700 (LWP 371133) exited]
[Thread 0x7fffc88a6700 (LWP 371135) exited]
[Thread 0x7fffcbd8a700 (LWP 371124) exited]
[New Thread 0x7fffd40be700 (LWP 371385)]
[New Thread 0x7fffca951700 (LWP 371386)]
[New Thread 0x7fffc9598700 (LWP 371387)]
[New Thread 0x7fffc88a6700 (LWP 371391)]
[New Thread 0x7fffa7fff700 (LWP 371392)]
[Detaching after vfork from child process 371393]
[Thread 0x7fffc88a6700 (LWP 371391) exited]
[Thread 0x7fffca0a9700 (LWP 371132) exited]
[New Thread 0x7fffca0a9700 (LWP 371397)]
[Thread 0x7fffca0a9700 (LWP 371397) exited]
[Detaching after vfork from child process 371398]
[New Thread 0x7fffca0a9700 (LWP 371399)]
[Thread 0x7fffca0a9700 (LWP 371399) exited]
[New Thread 0x7fffc8063900 (LWP 371400)]
[New Thread 0x7fffc8012900 (LWP 371401)]
[New Thread 0x7fffa7440900 (LWP 371402)]
[New Thread 0x7fffa7435700 (LWP 371403)]
[New Thread 0x7fffa73b4700 (LWP 371404)]
[New Thread 0x7fffa7333700 (LWP 371405)]
[New Thread 0x7fffa728f700 (LWP 371406)]
[New Thread 0x7fffca0a9700 (LWP 371407)]
[New Thread 0x7fffc88a6700 (LWP 371408)]
[New Thread 0x7fffcb356700 (LWP 371409)]
[New Thread 0x7fffc90a7700 (LWP 371410)]
[New Thread 0x7fffa5a0b700 (LWP 371411)]
[Thread 0x7fffa5a0b700 (LWP 371411) exited]
[Thread 0x7fffcb356700 (LWP 371409) exited]
[Thread 0x7fffc88a6700 (LWP 371408) exited]
[Thread 0x7fffc90a7700 (LWP 371410) exited]
[New Thread 0x7fffc90a7700 (LWP 371497)]
[Thread 0x7fffc90a7700 (LWP 371497) exited]
[New Thread 0x7fffc90a7700 (LWP 371499)]
[New Thread 0x7fffc88a6700 (LWP 371582)]
[New Thread 0x7fffa5a0b700 (LWP 371583)]
[New Thread 0x7fffcb356700 (LWP 371584)]
[New Thread 0x7fff97187700 (LWP 371585)]
[New Thread 0x7fff963cd700 (LWP 371586)]
[New Thread 0x7fff95bcc700 (LWP 371587)]
[New Thread 0x7fff953cb700 (LWP 371588)]
[Thread 0x7fffa7fff700 (LWP 371392) exited]

Thread 1 "ArdourGUI" received signal SIGINT, Interrupt.
0x00007fffece6f4bf in __GI___poll (fds=0x55555741e970, nfds=4, timeout=36) at ../sysdeps/unix/sysv/linux/poll.c:29
29	../sysdeps/unix/sysv/linux/poll.c: Aucun fichier ou dossier de ce type.
Signal        Stop	Print	Pass to program	Description
SIG32         No	No	Yes		Real-time event 32
Starting program: /opt/Ardour-6.2.233-dbg/bin/ardour-6.2.233 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffe8492700 (LWP 186534)]
[New Thread 0x7fffe7c91700 (LWP 186535)]
[New Thread 0x7fffe7490700 (LWP 186536)]
[New Thread 0x7fffe6c8f700 (LWP 186537)]
[New Thread 0x7fffd7591700 (LWP 186549)]
[Thread 0x7fffd7591700 (LWP 186549) exited]
[New Thread 0x7fffd7591700 (LWP 186551)]
[New Thread 0x7fffd58f6700 (LWP 186552)]
[New Thread 0x7fffcbd8a700 (LWP 186553)]
[New Thread 0x7fffd4183700 (LWP 186554)]
[New Thread 0x7fffcb356700 (LWP 186555)]
[New Thread 0x7fffd40be700 (LWP 186556)]
[New Thread 0x7fffcab55700 (LWP 186557)]
[Thread 0x7fffcab55700 (LWP 186557) exited]
[Thread 0x7fffd40be700 (LWP 186556) exited]
[New Thread 0x7fffd40be700 (LWP 186558)]
[New Thread 0x7fffcab55700 (LWP 186559)]
[Thread 0x7fffcab55700 (LWP 186559) exited]
[Thread 0x7fffd40be700 (LWP 186558) exited]
[New Thread 0x7fffca8d0700 (LWP 186560)]
[New Thread 0x7fffca0a9700 (LWP 186561)]
[New Thread 0x7fffc98a8700 (LWP 186562)]
[New Thread 0x7fffc90a7700 (LWP 186563)]
[Thread 0x7fffcb356700 (LWP 186555) exited]
[New Thread 0x7fffcb356700 (LWP 186564)]
[Thread 0x7fffd4183700 (LWP 186554) exited]
[Thread 0x7fffcb356700 (LWP 186564) exited]
[Thread 0x7fffc90a7700 (LWP 186563) exited]
[Thread 0x7fffc98a8700 (LWP 186562) exited]
[Thread 0x7fffcbd8a700 (LWP 186553) exited]
[New Thread 0x7fffc98a8700 (LWP 186567)]
[New Thread 0x7fffc90a7700 (LWP 186568)]
[New Thread 0x7fffcb356700 (LWP 186569)]
[Thread 0x7fffc90a7700 (LWP 186568) exited]
[Thread 0x7fffca0a9700 (LWP 186561) exited]
[Thread 0x7fffc98a8700 (LWP 186567) exited]
[New Thread 0x7fffc98a8700 (LWP 186572)]
[New Thread 0x7fffca0a9700 (LWP 186573)]
[New Thread 0x7fffc90a7700 (LWP 186574)]
[New Thread 0x7fffa7fff700 (LWP 186575)]
[New Thread 0x7fffa77fe700 (LWP 186576)]
[New Thread 0x7fffa6ffd700 (LWP 186577)]
[New Thread 0x7fffa67fc700 (LWP 186578)]
[Thread 0x7fffca0a9700 (LWP 186573) exited]
[Thread 0x7fffa7fff700 (LWP 186575) exited]
[Thread 0x7fffc90a7700 (LWP 186574) exited]
[Thread 0x7fffa77fe700 (LWP 186576) exited]
[Thread 0x7fffa67fc700 (LWP 186578) exited]
[Thread 0x7fffa6ffd700 (LWP 186577) exited]
[Thread 0x7fffcb356700 (LWP 186569) exited]
[New Thread 0x7fffd40be700 (LWP 186579)]
[New Thread 0x7fffcb356700 (LWP 186580)]
[New Thread 0x7fffcafc5700 (LWP 186581)]
[New Thread 0x7fffa6ffd700 (LWP 186582)]
[Thread 0x7fffa6ffd700 (LWP 186582) exited]
[New Thread 0x7fffa6ffd700 (LWP 186584)]
[New Thread 0x7fffa67fc700 (LWP 186585)]
[Detaching after vfork from child process 186587]
[Thread 0x7fffa67fc700 (LWP 186585) exited]
[Thread 0x7fffa6ffd700 (LWP 186584) exited]
[New Thread 0x7fffa67fc700 (LWP 186589)]
[Thread 0x7fffa67fc700 (LWP 186589) exited]
[Detaching after vfork from child process 186591]
[New Thread 0x7fffa67fc700 (LWP 186592)]
[Thread 0x7fffa67fc700 (LWP 186592) exited]
[New Thread 0x7fffcaaed900 (LWP 186593)]
[New Thread 0x7fffcaae1900 (LWP 186594)]
[New Thread 0x7fffc9ba4900 (LWP 186595)]
[New Thread 0x7fffc9b99700 (LWP 186596)]
[New Thread 0x7fffc9b18700 (LWP 186597)]
[New Thread 0x7fffc9a97700 (LWP 186598)]
[New Thread 0x7fffc89a2700 (LWP 186599)]
[New Thread 0x7fffa67fc700 (LWP 186600)]
[New Thread 0x7fffa6ffd700 (LWP 186603)]
[New Thread 0x7fffa77fe700 (LWP 186604)]
[New Thread 0x7fffa7fff700 (LWP 186605)]
[New Thread 0x7fff92785700 (LWP 186606)]
[New Thread 0x7fff91f84700 (LWP 186607)]
[New Thread 0x7fff91783700 (LWP 186608)]
[New Thread 0x7fff90f82700 (LWP 186609)]
[Thread 0x7fffc98a8700 (LWP 186572) exited]

Thread 1 "ArdourGUI" received signal SIGABRT, Aborted.
__GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
50	../sysdeps/unix/sysv/linux/raise.c: Aucun fichier ou dossier de ce type.

Thread 53 (Thread 0x7fff90f82700 (LWP 186609)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff3165e4c in g_cond_wait () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff7b33481 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue (this=0x55555809bd88, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7b3379e in ArdourWaveView::WaveViewThreads::dequeue_draw_request () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7b33afc in ArdourWaveView::WaveViewDrawingThread::run (this=0x55555b9073f0) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7b38248 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator() (this=0x555557ca9238) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#6  0x00007ffff7b37d72 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator() (this=0x555557ca9230) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7b3776b in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it (rep=0x555557ca9200) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff36aec4d in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#10 0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#11 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 52 (Thread 0x7fff91783700 (LWP 186608)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff3165e4c in g_cond_wait () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff7b33481 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue (this=0x55555809bd88, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7b3379e in ArdourWaveView::WaveViewThreads::dequeue_draw_request () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7b33afc in ArdourWaveView::WaveViewDrawingThread::run (this=0x55555b715e40) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7b38248 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator() (this=0x55555824ac78) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#6  0x00007ffff7b37d72 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator() (this=0x55555824ac70) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7b3776b in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it (rep=0x55555824ac40) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff36aec4d in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#10 0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#11 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 51 (Thread 0x7fff91f84700 (LWP 186607)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff3165e4c in g_cond_wait () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff7b33481 in ArdourWaveView::WaveViewDrawRequestQueue::dequeue (this=0x55555809bd88, block=true) at ../libs/waveview/wave_view_private.cc:299
#3  0x00007ffff7b3379e in ArdourWaveView::WaveViewThreads::dequeue_draw_request () at ../libs/waveview/wave_view_private.cc:368
#4  0x00007ffff7b33afc in ArdourWaveView::WaveViewDrawingThread::run (this=0x55555b902a10) at ../libs/waveview/wave_view_private.cc:450
#5  0x00007ffff7b38248 in sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>::operator() (this=0x555558c4d888) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#6  0x00007ffff7b37d72 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread> >::operator() (this=0x555558c4d880) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff7b3776b in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, ArdourWaveView::WaveViewDrawingThread>, void>::call_it (rep=0x555558c4d850) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff36aec4d in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#10 0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#11 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 50 (Thread 0x7fff92785700 (LWP 186606)):
#0  0x00007fffece41d21 in __GI___clock_nanosleep (clock_id=clock_id@entry=0, flags=flags@entry=0, req=0x7fff92784bb0, rem=0x7fff92784bc0) at ../sysdeps/unix/sysv/linux/clock_nanosleep.c:48
#1  0x00007fffece47503 in __GI___nanosleep (requested_time=<optimized out>, remaining=<optimized out>) at nanosleep.c:27
#2  0x00007ffff3145a38 in g_usleep () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#3  0x00007ffff6b5932e in ARDOUR::AutomationWatch::thread (this=0x555558d7e900) at ../libs/ardour/automation_watch.cc:195
#4  0x00007ffff6b5eb71 in boost::_mfi::mf0<void, ARDOUR::AutomationWatch>::operator() (this=0x555559780b00, p=0x555558d7e900) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#5  0x00007ffff6b5e7b6 in boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list0> (this=0x555559780b10, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
#6  0x00007ffff6b5ded7 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >::operator() (this=0x555559780b00) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
#7  0x00007ffff6b5de58 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > > >::operator() (this=0x555559780b00) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#8  0x00007ffff6b5d6b6 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AutomationWatch>, boost::_bi::list1<boost::_bi::value<ARDOUR::AutomationWatch*> > >, void>::call_it (rep=0x555559780ad0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#9  0x00007ffff36aec4d in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#10 0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#11 0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#12 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 49 (Thread 0x7fffa7fff700 (LWP 186605)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55555c649a48) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55555c6499f8, cond=0x55555c649a20) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55555c649a20, mutex=0x55555c6499f8) at pthread_cond_wait.c:638
#3  0x00007ffff715544f in ARDOUR::Session::auto_connect_thread_run (this=0x55555c647c00) at ../libs/ardour/session.cc:7153
#4  0x00007ffff7155136 in ARDOUR::Session::auto_connect_thread (arg=0x55555c647c00) at ../libs/ardour/session.cc:7092
#5  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 48 (Thread 0x7fffa77fe700 (LWP 186604)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55555c6499d8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55555c649988, cond=0x55555c6499b0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55555c6499b0, mutex=0x55555c649988) at pthread_cond_wait.c:638
#3  0x00007ffff71cea3b in ARDOUR::Session::emit_thread_run (this=0x55555c647c00) at ../libs/ardour/session_process.cc:1110
#4  0x00007ffff71ce9d8 in ARDOUR::Session::emit_thread (arg=0x55555c647c00) at ../libs/ardour/session_process.cc:1099
#5  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 47 (Thread 0x7fffa6ffd700 (LWP 186603)):
#0  0x00007fffece6f4bf in __GI___poll (fds=0x7fff7c17bd70, nfds=3, timeout=99) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff3114d66 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff31150f2 in g_main_loop_run () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#3  0x00007ffff434f906 in BaseUI::main_thread (this=0x55555c4067a0) at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4353a28 in sigc::bound_mem_functor0<void, BaseUI>::operator() (this=0x55555b606b28) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#5  0x00007ffff4353668 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0x55555b606b20) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff43530a9 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0x55555b606af0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007ffff36aec4d in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#8  0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#9  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 46 (Thread 0x7fffa67fc700 (LWP 186600)):
#0  0x00007fffece6f4bf in __GI___poll (fds=0x7fff8817a810, nfds=4, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff3114d66 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff31150f2 in g_main_loop_run () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#3  0x00007ffff434f906 in BaseUI::main_thread (this=0x5555587734e0) at ../libs/pbd/base_ui.cc:98
#4  0x00007ffff4353a28 in sigc::bound_mem_functor0<void, BaseUI>::operator() (this=0x55555caba378) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#5  0x00007ffff4353668 in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BaseUI> >::operator() (this=0x55555caba370) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x00007ffff43530a9 in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BaseUI>, void>::call_it (rep=0x55555caba340) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007ffff36aec4d in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#8  0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#9  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 45 (Thread 0x7fffc89a2700 (LWP 186599)):
#0  0x00007fffece6f4bf in __GI___poll (fds=0x7fffc89a1328, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff4365788 in CrossThreadChannel::poll_for_request (this=0x555558b33198) at ../libs/pbd/crossthread.posix.cc:102
#2  0x00007ffff43657f1 in CrossThreadChannel::receive (this=0x555558b33198, msg=@0x7fffc89a13ef: 0 '\000', wait=true) at ../libs/pbd/crossthread.posix.cc:123
#3  0x00007ffff6b6ee68 in ARDOUR::Butler::thread_work (this=0x555558b33100) at ../libs/ardour/butler.cc:172
#4  0x00007ffff6b6ebe9 in ARDOUR::Butler::_thread_work (arg=0x555558b33100) at ../libs/ardour/butler.cc:153
#5  0x00007ffff4388838 in fake_thread_start (arg=0x55555bcd49c0) at ../libs/pbd/pthread_utils.cc:113
#6  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 44 (Thread 0x7fffc9a97700 (LWP 186598)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x555557d415c8) at ../sysdeps/nptl/futex-internal.h:320
#1  do_futex_wait (sem=sem@entry=0x555557d415c8, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2  0x00007fffef235278 in __new_sem_wait_slow (sem=0x555557d415c8, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3  0x00007ffff6c8cc44 in PBD::Semaphore::wait (this=0x555557d415c8) at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff6c89770 in ARDOUR::Graph::reached_terminal_node (this=0x555557d414f0) at ../libs/ardour/graph.cc:301
#5  0x00007ffff6c9150f in ARDOUR::GraphNode::finish (this=0x55555c44ebe8, chain=1) at ../libs/ardour/graphnode.cc:73
#6  0x00007ffff6c8ccae in ARDOUR::GraphNode::run (this=0x55555c44ebe8, chain=1) at ../libs/ardour/ardour/graphnode.h:63
#7  0x00007ffff6c8a54e in ARDOUR::Graph::run_one (this=0x555557d414f0) at ../libs/ardour/graph.cc:442
#8  0x00007ffff6c8a898 in ARDOUR::Graph::helper_thread (this=0x555557d414f0) at ../libs/ardour/graph.cc:470
#9  0x00007ffff6c90e47 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffc9a96cf8, p=0x555557d414f0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#10 0x00007ffff6c905fc in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fffc9a96d08, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
#11 0x00007ffff6c8fa59 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fffc9a96cf8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
#12 0x00007ffff6c8f2fd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:159
#13 0x0000555555b99bcc in boost::function0<void>::operator() (this=0x7fffc9a96cf0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:769
#14 0x00007fffd487289f in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x555559a80890) at ../libs/backends/jack/jack_audiobackend.cc:953
#15 0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#16 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 43 (Thread 0x7fffc9b18700 (LWP 186597)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x555557d415a0) at ../sysdeps/nptl/futex-internal.h:320
#1  do_futex_wait (sem=sem@entry=0x555557d415a0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2  0x00007fffef235278 in __new_sem_wait_slow (sem=0x555557d415a0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3  0x00007ffff6c8cc44 in PBD::Semaphore::wait (this=0x555557d415a0) at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff6c8a3e0 in ARDOUR::Graph::run_one (this=0x555557d414f0) at ../libs/ardour/graph.cc:426
#5  0x00007ffff6c8a898 in ARDOUR::Graph::helper_thread (this=0x555557d414f0) at ../libs/ardour/graph.cc:470
#6  0x00007ffff6c90e47 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffc9b17cf8, p=0x555557d414f0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007ffff6c905fc in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fffc9b17d08, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
#8  0x00007ffff6c8fa59 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fffc9b17cf8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
#9  0x00007ffff6c8f2fd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:159
#10 0x0000555555b99bcc in boost::function0<void>::operator() (this=0x7fffc9b17cf0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:769
#11 0x00007fffd487289f in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x5555580904a0) at ../libs/backends/jack/jack_audiobackend.cc:953
#12 0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 42 (Thread 0x7fffc9b99700 (LWP 186596)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x555557d415a0) at ../sysdeps/nptl/futex-internal.h:320
#1  do_futex_wait (sem=sem@entry=0x555557d415a0, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2  0x00007fffef235278 in __new_sem_wait_slow (sem=0x555557d415a0, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3  0x00007ffff6c8cc44 in PBD::Semaphore::wait (this=0x555557d415a0) at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff6c8a3e0 in ARDOUR::Graph::run_one (this=0x555557d414f0) at ../libs/ardour/graph.cc:426
#5  0x00007ffff6c8ac7a in ARDOUR::Graph::main_thread (this=0x555557d414f0) at ../libs/ardour/graph.cc:523
#6  0x00007ffff6c90e47 in boost::_mfi::mf0<void, ARDOUR::Graph>::operator() (this=0x7fffc9b98cf8, p=0x555557d414f0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#7  0x00007ffff6c905fc in boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> >::operator()<boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list0> (this=0x7fffc9b98d08, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
#8  0x00007ffff6c8fa59 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >::operator() (this=0x7fffc9b98cf8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
#9  0x00007ffff6c8f2fd in boost::detail::function::void_function_obj_invoker0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::Graph>, boost::_bi::list1<boost::_bi::value<ARDOUR::Graph*> > >, void>::invoke (function_obj_ptr=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:159
#10 0x0000555555b99bcc in boost::function0<void>::operator() (this=0x7fffc9b98cf0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/function/function_template.hpp:769
#11 0x00007fffd487289f in ARDOUR::JACKAudioBackend::_start_process_thread (arg=0x555559a80960) at ../libs/backends/jack/jack_audiobackend.cc:953
#12 0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#13 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 41 (Thread 0x7fffc9ba4900 (LWP 186595)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555afe4470) at ../sysdeps/nptl/futex-internal.h:320
#1  do_futex_wait (sem=sem@entry=0x55555afe4470, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2  0x00007fffef235278 in __new_sem_wait_slow (sem=0x55555afe4470, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3  0x00007ffff6c8cc44 in PBD::Semaphore::wait (this=0x55555afe4470) at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff7117b15 in ARDOUR::RTTaskList::run (this=0x55555afe4440) at ../libs/ardour/rt_tasklist.cc:112
#5  0x00007ffff7117902 in ARDOUR::RTTaskList::_thread_run (arg=0x55555afe4440) at ../libs/ardour/rt_tasklist.cc:68
#6  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 40 (Thread 0x7fffcaae1900 (LWP 186594)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555afe4470) at ../sysdeps/nptl/futex-internal.h:320
#1  do_futex_wait (sem=sem@entry=0x55555afe4470, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2  0x00007fffef235278 in __new_sem_wait_slow (sem=0x55555afe4470, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3  0x00007ffff6c8cc44 in PBD::Semaphore::wait (this=0x55555afe4470) at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff7117b15 in ARDOUR::RTTaskList::run (this=0x55555afe4440) at ../libs/ardour/rt_tasklist.cc:112
#5  0x00007ffff7117902 in ARDOUR::RTTaskList::_thread_run (arg=0x55555afe4440) at ../libs/ardour/rt_tasklist.cc:68
#6  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 39 (Thread 0x7fffcaaed900 (LWP 186593)):
#0  futex_abstimed_wait_cancelable (private=0, abstime=0x0, clockid=0, expected=0, futex_word=0x55555afe4470) at ../sysdeps/nptl/futex-internal.h:320
#1  do_futex_wait (sem=sem@entry=0x55555afe4470, abstime=0x0, clockid=0) at sem_waitcommon.c:112
#2  0x00007fffef235278 in __new_sem_wait_slow (sem=0x55555afe4470, abstime=0x0, clockid=0) at sem_waitcommon.c:184
#3  0x00007ffff6c8cc44 in PBD::Semaphore::wait (this=0x55555afe4470) at ../libs/pbd/pbd/semutils.h:64
#4  0x00007ffff7117b15 in ARDOUR::RTTaskList::run (this=0x55555afe4440) at ../libs/ardour/rt_tasklist.cc:112
#5  0x00007ffff7117902 in ARDOUR::RTTaskList::_thread_run (arg=0x55555afe4440) at ../libs/ardour/rt_tasklist.cc:68
#6  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 33 (Thread 0x7fffcafc5700 (LWP 186581)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007fffd44d5e12 in ?? () from /lib/x86_64-linux-gnu/libjack.so.0
#2  0x00007fffd44bcb25 in ?? () from /lib/x86_64-linux-gnu/libjack.so.0
#3  0x00007fffd44bb4da in ?? () from /lib/x86_64-linux-gnu/libjack.so.0
#4  0x00007fffd48959c8 in WJACK_cycle_wait (client=0x5555572e6000) at ../libs/backends/jack/weak_libjack.def:80
#5  0x00007fffd4872951 in ARDOUR::JACKAudioBackend::process_thread (this=0x555557585000) at ../libs/backends/jack/jack_audiobackend.cc:982
#6  0x00007fffd48728ee in ARDOUR::JACKAudioBackend::_process_thread (arg=0x555557585000) at ../libs/backends/jack/jack_audiobackend.cc:961
#7  0x00007fffd44bb43e in ?? () from /lib/x86_64-linux-gnu/libjack.so.0
#8  0x00007fffd44d405c in ?? () from /lib/x86_64-linux-gnu/libjack.so.0
#9  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 32 (Thread 0x7fffcb356700 (LWP 186580)):
#0  __libc_read (nbytes=4, buf=0x7fffcb355b80, fd=13) at ../sysdeps/unix/sysv/linux/read.c:26
#1  __libc_read (fd=13, buf=0x7fffcb355b80, nbytes=4) at ../sysdeps/unix/sysv/linux/read.c:24
#2  0x00007fffd44d529e in ?? () from /lib/x86_64-linux-gnu/libjack.so.0
#3  0x00007fffd44d8cf9 in ?? () from /lib/x86_64-linux-gnu/libjack.so.0
#4  0x00007fffd44d405c in ?? () from /lib/x86_64-linux-gnu/libjack.so.0
#5  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 31 (Thread 0x7fffd40be700 (LWP 186579)):
#0  futex_wait_cancelable (private=0, expected=0, futex_word=0x55555870cb38) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x55555870cae0, cond=0x55555870cb10) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x55555870cb10, mutex=0x55555870cae0) at pthread_cond_wait.c:638
#3  0x00007fffd44d4b1e in ?? () from /lib/x86_64-linux-gnu/libjack.so.0
#4  0x00007fffd44cc755 in ?? () from /lib/x86_64-linux-gnu/libjack.so.0
#5  0x00007fffd44d405c in ?? () from /lib/x86_64-linux-gnu/libjack.so.0
#6  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7fffca8d0700 (LWP 186560)):
#0  0x00007fffece6f4bf in __GI___poll (fds=0x5555573b1f20, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007ffff3114d66 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff3114e7c in g_main_context_iteration () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#3  0x00007ffff3114ec1 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#4  0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#5  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fffd58f6700 (LWP 186552)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff3165e4c in g_cond_wait () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff6aff725 in ARDOUR::AudioEngine::do_devicelist_update (this=0x5555574dcdf0) at ../libs/ardour/audioengine.cc:703
#3  0x00007ffff6b0c85b in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x5555571ae580, p=0x5555574dcdf0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff6b0c28a in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x5555571ae590, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
#5  0x00007ffff6b0b9c7 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x5555571ae580) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
#6  0x00007ffff6b0b1c6 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x5555571ae580) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff6b0a384 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x5555571ae550) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff36aec4d in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#10 0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#11 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fffd7591700 (LWP 186551)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff3165e4c in g_cond_wait () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff6aff4ec in ARDOUR::AudioEngine::do_reset_backend (this=0x5555574dcdf0) at ../libs/ardour/audioengine.cc:667
#3  0x00007ffff6b0c85b in boost::_mfi::mf0<void, ARDOUR::AudioEngine>::operator() (this=0x5555574d9ce0, p=0x5555574dcdf0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/mem_fn_template.hpp:49
#4  0x00007ffff6b0c28a in boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> >::operator()<boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list0> (this=0x5555574d9cf0, f=..., a=...) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:259
#5  0x00007ffff6b0b9c7 in boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >::operator() (this=0x5555574d9ce0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/bind/bind.hpp:1294
#6  0x00007ffff6b0b1c6 in sigc::adaptor_functor<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > > >::operator() (this=0x5555574d9ce0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#7  0x00007ffff6b0a384 in sigc::internal::slot_call0<boost::_bi::bind_t<void, boost::_mfi::mf0<void, ARDOUR::AudioEngine>, boost::_bi::list1<boost::_bi::value<ARDOUR::AudioEngine*> > >, void>::call_it (rep=0x5555574d9cb0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#8  0x00007ffff36aec4d in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#9  0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#10 0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#11 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fffe6c8f700 (LWP 186537)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff3165e4c in g_cond_wait () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff6ab358c in ARDOUR::Analyser::work () at ../libs/ardour/analyser.cc:93
#3  0x00007ffff6ab3378 in analyser_work () at ../libs/ardour/analyser.cc:58
#4  0x0000555556435685 in sigc::pointer_functor0<void>::operator() (this=0x555557198bc8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#5  0x00005555564327b8 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x555557198bc0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#6  0x000055555642e641 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x555557198b90) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#7  0x00007ffff36aec4d in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#8  0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#9  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fffe7490700 (LWP 186536)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff3165e4c in g_cond_wait () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff725f310 in peak_thread_work () at ../libs/ardour/source_factory.cc:74
#3  0x0000555556435685 in sigc::pointer_functor0<void>::operator() (this=0x5555571489b8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x00005555564327b8 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x5555571489b0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x000055555642e641 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x555557148980) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007ffff36aec4d in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#7  0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#8  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fffe7c91700 (LWP 186535)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffff3165e4c in g_cond_wait () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#2  0x00007ffff725f310 in peak_thread_work () at ../libs/ardour/source_factory.cc:74
#3  0x0000555556435685 in sigc::pointer_functor0<void>::operator() (this=0x555557149af8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/ptr_fun.h:77
#4  0x00005555564327b8 in sigc::adaptor_functor<sigc::pointer_functor0<void> >::operator() (this=0x555557149af0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#5  0x000055555642e641 in sigc::internal::slot_call0<sigc::pointer_functor0<void>, void>::call_it (rep=0x555557149ac0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#6  0x00007ffff36aec4d in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#7  0x00007ffff31441e5 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#8  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fffe8492700 (LWP 186534)):
#0  0x00007fffece41d21 in __GI___clock_nanosleep (clock_id=clock_id@entry=0, flags=flags@entry=0, req=0x7fffe8491bf0, rem=0x7fffe8491c00) at ../sysdeps/unix/sysv/linux/clock_nanosleep.c:48
#1  0x00007fffece47503 in __GI___nanosleep (requested_time=<optimized out>, remaining=<optimized out>) at nanosleep.c:27
#2  0x00007ffff3145a38 in g_usleep () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#3  0x00005555567b2fe8 in gui_event_loop (ptr=0x0) at ../gtk2_ardour/linux_vst_gui_support.cc:463
#4  0x00007fffef22bea7 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007fffece79eaf in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fffe88ffd40 (LWP 186527)):
#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#1  0x00007fffecda1537 in __GI_abort () at abort.c:79
#2  0x00007fffecda140f in __assert_fail_base (fmt=0x7fffe5f4573c "%s%s%s :%u : %s%s l'assertion « %s » a échoué.\n%n", assertion=0x5555567bd1dd "px != 0", file=0x5555567bd190 "/home/ardour/linux-x86_64-v5/gtk/inst/include/boost/smart_ptr/shared_ptr.hpp", line=734, function=<optimized out>) at assert.c:92
#3  0x00007fffecdb05b2 in __GI___assert_fail (assertion=0x5555567bd1dd "px != 0", file=0x5555567bd190 "/home/ardour/linux-x86_64-v5/gtk/inst/include/boost/smart_ptr/shared_ptr.hpp", line=734, function=0x5555567bd200 <boost::shared_ptr<ARDOUR::IO>::operator->() const::__PRETTY_FUNCTION__> "typename boost::detail::sp_member_access<T>::type boost::shared_ptr<T>::operator->() const [with T = ARDOUR::IO; typename boost::detail::sp_member_access<T>::type = ARDOUR::IO*]") at assert.c:101
#4  0x0000555555b9352b in boost::shared_ptr<ARDOUR::IO>::operator-> (this=0x7fffffffb330) at /home/ardour/linux-x86_64-v5/gtk/inst/include/boost/smart_ptr/shared_ptr.hpp:734
#5  0x00005555563dfd00 in PortMatrix::can_add_channel_proxy (this=0x7fffffffc5f0, w=..., t=...) at ../gtk2_ardour/port_matrix.cc:813
#6  0x00005555563dcb7d in PortMatrix::popup_menu (this=0x7fffffffc5f0, column=..., row=..., t=45373439) at ../gtk2_ardour/port_matrix.cc:461
#7  0x00005555563f52a1 in PortMatrixGrid::button_press (this=0x55555c851a90, x=0, y=45, ev=0x555557baea40) at ../gtk2_ardour/port_matrix_grid.cc:331
#8  0x00005555563eaa2e in PortMatrixBody::on_button_press_event (this=0x555558f7a3b0, ev=0x555557baea40) at ../gtk2_ardour/port_matrix_body.cc:342
#9  0x00007ffff08e4d18 in Gtk::Widget_Class::button_press_event_callback(_GtkWidget*, _GdkEventButton*) () from /opt/Ardour-6.2.233-dbg/lib/libgtkmm-2.4.so.1
#10 0x00007ffff2707cac in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#11 0x00007ffff3423945 in g_closure_invoke () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#12 0x00007ffff34355a0 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#13 0x00007ffff343e69b in g_signal_emit_valist () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#14 0x00007ffff343f082 in g_signal_emit () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#15 0x00007ffff288c64c in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#16 0x00007ffff270629d in gtk_propagate_event () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#17 0x00007ffff2706723 in gtk_main_do_event () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#18 0x00007ffff2322b5c in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgdk-x11-2.0.so.0
#19 0x00007ffff3114b67 in g_main_context_dispatch () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#20 0x00007ffff3114dd0 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#21 0x00007ffff31150f2 in g_main_loop_run () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#22 0x00007ffff2663a48 in gtk_dialog_run () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#23 0x0000555555ce5b99 in BundleManager::new_clicked (this=0x5555570d4480) at ../gtk2_ardour/bundle_manager.cc:341
#24 0x0000555555cebe5c in sigc::bound_mem_functor0<void, BundleManager>::operator() (this=0x5555594517c8) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/mem_fun.h:1787
#25 0x0000555555ceb05c in sigc::adaptor_functor<sigc::bound_mem_functor0<void, BundleManager> >::operator() (this=0x5555594517c0) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:256
#26 0x0000555555cea32b in sigc::internal::slot_call0<sigc::bound_mem_functor0<void, BundleManager>, void>::call_it (rep=0x555559451790) at /home/ardour/linux-x86_64-v5/gtk/inst/include/sigc++-2.0/sigc++/functors/slot.h:103
#27 0x00007ffff36bdc88 in Glib::SignalProxyNormal::slot0_void_callback(_GObject*, void*) () from /opt/Ardour-6.2.233-dbg/lib/libglibmm-2.4.so.1
#28 0x00007ffff3423945 in g_closure_invoke () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#29 0x00007ffff343501b in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#30 0x00007ffff343ec30 in g_signal_emit_valist () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#31 0x00007ffff343f082 in g_signal_emit () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#32 0x00007ffff2620d82 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#33 0x00007ffff3423b74 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#34 0x00007ffff343e904 in g_signal_emit_valist () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#35 0x00007ffff343f082 in g_signal_emit () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#36 0x00007ffff261ef92 in gtk_button_released () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#37 0x00007ffff261f059 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#38 0x00007ffff2707cac in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#39 0x00007ffff3423945 in g_closure_invoke () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#40 0x00007ffff34355a0 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#41 0x00007ffff343e69b in g_signal_emit_valist () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#42 0x00007ffff343f082 in g_signal_emit () from /opt/Ardour-6.2.233-dbg/lib/libgobject-2.0.so.0
#43 0x00007ffff288c64c in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#44 0x00007ffff270629d in gtk_propagate_event () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#45 0x00007ffff2706723 in gtk_main_do_event () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#46 0x00007ffff2322b5c in ?? () from /opt/Ardour-6.2.233-dbg/lib/libgdk-x11-2.0.so.0
#47 0x00007ffff3114b67 in g_main_context_dispatch () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#48 0x00007ffff3114dd0 in ?? () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#49 0x00007ffff31150f2 in g_main_loop_run () from /opt/Ardour-6.2.233-dbg/lib/libglib-2.0.so.0
#50 0x00007ffff27053e7 in gtk_main () from /opt/Ardour-6.2.233-dbg/lib/libgtk-x11-2.0.so.0
#51 0x00007ffff4731928 in Gtkmm2ext::UI::run (this=0x555557555cf0, old_receiver=...) at ../libs/gtkmm2ext/gtk_ui.cc:293
#52 0x000055555616233e in main (argc=1, argv=0x7fffffffe148) at ../gtk2_ardour/main.cc:437
gdb.txt (47,977 bytes)

x42

2020-09-04 20:49

administrator   ~0025010

Likely fixed in Ardour 6.2-247-g59d9c940d3

I have not been able to reproduce the crash myself, so please test!

wargreen

2020-09-07 15:20

reporter   ~0025018

Fixed in 6.3.0 !

wargreen

2020-09-07 15:21

reporter   ~0025019

Tested in 6.3.0, fixed

Issue History

Date Modified Username Field Change
2020-07-25 14:08 wargreen New Issue
2020-09-04 00:47 wargreen File Added: gdb.txt
2020-09-04 00:47 wargreen Note Added: 0025006
2020-09-04 20:49 x42 Assigned To => x42
2020-09-04 20:49 x42 Status new => feedback
2020-09-04 20:49 x42 Note Added: 0025010
2020-09-07 15:20 wargreen Note Added: 0025018
2020-09-07 15:20 wargreen Status feedback => assigned
2020-09-07 15:21 wargreen Status assigned => closed
2020-09-07 15:21 wargreen Resolution open => fixed
2020-09-07 15:21 wargreen Note Added: 0025019